# This file is part of django-ca (https://github.com/mathiasertl/django-ca).
#
# django-ca is free software: you can redistribute it and/or modify it under the terms of the GNU General
# Public License as published by the Free Software Foundation, either version 3 of the License, or (at your
# option) any later version.
#
# django-ca is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along with django-ca. If not, see
# <http://www.gnu.org/licenses/>.
#
# Generated by Django 4.1.7 on 2023-03-10 22:05

from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("django_ca", "0027_certificateauthority_acme_profile"),
    ]

    operations = [
        migrations.AlterField(
            model_name="certificate",
            name="revoked_reason",
            field=models.CharField(
                blank=True,
                choices=[
                    ("aa_compromise", "Attribute Authority compromised"),
                    ("affiliation_changed", "Affiliation changed"),
                    ("ca_compromise", "CA compromised"),
                    ("certificate_hold", "On Hold"),
                    ("cessation_of_operation", "Cessation of operation"),
                    ("key_compromise", "Key compromised"),
                    ("privilege_withdrawn", "Privilege withdrawn"),
                    ("remove_from_crl", "Removed from CRL"),
                    ("superseded", "Superseded"),
                    ("unspecified", "Unspecified"),
                ],
                default="",
                max_length=32,
                verbose_name="Reason for revocation",
            ),
        ),
        migrations.AlterField(
            model_name="certificateauthority",
            name="revoked_reason",
            field=models.CharField(
                blank=True,
                choices=[
                    ("aa_compromise", "Attribute Authority compromised"),
                    ("affiliation_changed", "Affiliation changed"),
                    ("ca_compromise", "CA compromised"),
                    ("certificate_hold", "On Hold"),
                    ("cessation_of_operation", "Cessation of operation"),
                    ("key_compromise", "Key compromised"),
                    ("privilege_withdrawn", "Privilege withdrawn"),
                    ("remove_from_crl", "Removed from CRL"),
                    ("superseded", "Superseded"),
                    ("unspecified", "Unspecified"),
                ],
                default="",
                max_length=32,
                verbose_name="Reason for revocation",
            ),
        ),
    ]
